All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.iquery.metadata.serverprop
Class Parameter

    com.sas.iquery.metadata.serverprop.Parameter

    @Immutable
    public final class Parameter

Models a single parameter definition; this class is typically used within a function or operator signature.

See Also:
  `FunctionSignature`, `Function`, `Operator`

Method Summary
`java.util.List<ExpressionInterface>` | `getEnumerationList()` Returns a list of possible values for this parameter in the form of a ConstantExpression.
`ParameterType` | `getType()` Return this parameter's type
`boolean` | `isCompatibleWith(ExpressionInterface argument)` Returns true if the argument specified is a valid argument for this Parameter, false otherwise.
`boolean` | `isEnumerated()` Returns whether arguments supplied for this parameter must be one of several enumerated values.
`boolean` | `isVarying()` Returns an indication of whether this parameter is a varying-length parameter.

Method Detail

*** This method is subject to change. ***

### getType

    public ParameterType getType()

  Return this parameter's type

  Returns:
    this parameter's type

*** This method is subject to change. ***

### isVarying

    public boolean isVarying()

  Returns an indication of whether this parameter is a varying-length parameter.

  Returns:
    an indication of whether this parameter is a varying-length parameter.

*** This method is subject to change. ***

### isEnumerated

    public boolean isEnumerated()

  Returns whether arguments supplied for this parameter must be one of several enumerated values.

  Returns:
    whether arguments supplied for this parameter must be one of several enumerated values.

*** This method is subject to change. ***

### getEnumerationList

    public java.util.List<ExpressionInterface> getEnumerationList()

  Returns a list of possible values for this parameter in the form of a ConstantExpression.

*** This method is subject to change. ***

### isCompatibleWith

    public boolean isCompatibleWith(ExpressionInterface argument)

  Returns true if the argument specified is a valid argument for this Parameter, false otherwise.

  Parameters:
    `argument` - an argument to be tested to determine whether it is compatible with this parameter definition.
  Returns:
    a boolean indicating compatibility or not between the specified argument and this parameter definition.

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.